﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="InvestigationOrderController.AdditionalActions.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Controllers.Common
{
    #region usings
    using System.Web.Mvc;

    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Controllers.Interfaces;
    using Fruitmonitoring.Infrastructure.Security;
    using Fruitmonitoring.Models;

    #endregion

    /// <summary>
    /// The investigation order controller.
    /// </summary>
    [CustomAuthorize(AppRole = FruitmonitoringRoles.SuperAdmin | FruitmonitoringRoles.Orderer)]
    public partial class InvestigationOrderController : BaseInvestigationOrderController, IDataManipulator<USP_Sample_Investigation_Sel_Result>
    {
        #region private additional ActionResults
        /// <summary>
        /// The add order.
        /// </summary>
        /// <param name="model">
        /// The model.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [ChildActionOnly]
        private ActionResult AddOrder(USP_Sample_Investigation_Sel_Result model)
        {
            return null;
        }

        /// <summary>
        /// The save order.
        /// </summary>
        /// <param name="model">
        /// The model.
        /// </param>
        /// <param name="trySending">
        /// The try sending.
        /// </param>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        [ChildActionOnly]
        private ActionResult SaveOrder(USP_Sample_Investigation_Sel_Result model, bool trySending)
        {
            return null;
        }
        #endregion
    }
}