﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="LoginStatusCodes.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Account
{
    /// <summary>
    /// The login status codes.
    /// </summary>
    public enum LoginStatusCodes
    {
        /// <summary>
        /// The locked.
        /// </summary>
        Locked,

        /// <summary>
        /// The user name wrong.
        /// </summary>
        UserNameWrong,

        /// <summary>
        /// The password wrong.
        /// </summary>
        PasswordWrong,

        /// <summary>
        /// The disabled.
        /// </summary>
        Disabled,

        /// <summary>
        /// The failure.
        /// </summary>
        Failure
    }
}