﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="SampleSearchFieldParser.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.AdvancedSearch
{
    #region usings
    using System.Collections.Generic;
    using System.Linq;

    #endregion

    /// <summary>
    /// The sample search field parser.
    /// </summary>
    public class SampleSearchFieldParser
    {
        #region Static Fields
        /// <summary>
        /// The dbsearchfieldkeyvalueseparator.
        /// </summary>
        private static readonly char DBSEARCHFIELDKEYVALUESEPARATOR = '=';

        /// <summary>
        /// The dbsearchfieldseparator.
        /// </summary>
        private static readonly char DBSEARCHFIELDSEPARATOR = ';';
        #endregion

        #region Public Methods and Operators
        /// <summary>
        /// </summary>
        /// <param name="dbString">
        /// </param>
        /// <returns>
        /// The <see cref="Dictionary"/>.
        /// </returns>
        public Dictionary<string, bool> ParseFromDbString(string dbString)
        {
            return null;
        }

        /// <summary>
        /// Generate a string that defines all search fields, that should be visible for the user
        /// this string can saved to db.
        /// </summary>
        /// <param name="fieldsDictionary">
        /// Key=searchfield-name; value=is visible or not.
        /// </param>
        /// <returns>
        /// The <see cref="string"/>.
        /// </returns>
        public string ParseToDbString(Dictionary<string, bool> fieldsDictionary)
        {
            return null;
        }
        #endregion
    }
}