﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="XLSXExport.cs.cs" company="convivo GmbH">
//    Copyright © 2013 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Export
{
    #region usings
    using System.Collections.Generic;
    using System.Web.Mvc;

    using DevExpress.Web.Mvc;

    using Fruitmonitoring.Helper.Utility.ExtensionHelper;

    #endregion

    /// <summary>
    /// The xlsx export.
    /// </summary>
    public class XLSXExport : IDataExport
    {
        #region Properties

        #region Fields
        /// <summary>
        /// The _grid view extension helper.
        /// </summary>
        private readonly IGridViewExtensionHelper _gridViewExtensionHelper = new GridViewExtensionHelper();
        #endregion

        #endregion

        #region IDataExport Members

        #region Public Methods and Operators
        /// <summary>
        /// The export.
        /// </summary>
        /// <param name="settings">
        /// The settings.
        /// </param>
        /// <param name="data">
        /// The data.
        /// </param>
        /// <typeparam name="T">
        /// </typeparam>
        /// <returns>
        /// The <see cref="ActionResult"/>.
        /// </returns>
        public ActionResult Export<T>(GridViewSettings settings, List<T> data)
        {
            return null;
        }
        #endregion

        #endregion
    }
}