﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="FileInfoCacher.cs.cs" company="convivo GmbH">
//    Copyright © 2016 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.FileHelper
{
    #region usings
    using System.Collections.Generic;
    using System.IO;
    using System.Web;

    #endregion

    /// <summary>
    /// This class provides functions to cahce file informations.
    /// </summary>
    public class FileInfoCacher
    {
        #region Properties

        #region Static Fields
        // Chaches the fileinformations.
        // The dictionary will be build on every IIS restart.
        private static readonly Dictionary<string, string> fileLastWriteTimeDictionary = new Dictionary<string, string>();
        #endregion

        #endregion

        #region Public Methods and Operators
        /// <summary>
        /// Gets the last write time for a given file.
        /// </summary>
        /// <param name="request">The current request.</param>
        /// <param name="relativePath">The relative path to a file. (e.g. @"\Scripts\Fruitmonitoring\fruitmonitoring.js").</param>
        /// <returns>The ticks of the last write time of the given file.</returns>
        public static string GetFileLastWriteTime(HttpRequestBase request, string relativePath)
        {
            return null;
        }
        #endregion
    }
}