﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="CommonPopupExtension.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.CommonPopup
{
    #region usings
    using System.Web.Mvc;
    using System.Web.Mvc.Html;

    #endregion

    /// <summary>
    /// Provides functions to build the html "CommonPopup".
    /// </summary>
    public class CommonPopupExtension
    {
        #region Public Methods and Operators

        #region methods
        /// <summary>
        /// Builds the "CommonPopup".
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        /// <param name="additionalPartialAddFormViewPath">
        /// Path to an partial view that is rendered to the bottom button bar in add form.
        /// </param>
        /// <param name="additionalPartialEditFormViewPath">
        /// Path to an partial view that is rendered to the bottom button bar in edit form.
        /// </param>
        /// <param name="showDefaultSubmitButton">
        /// Shows the default submit button.
        /// </param>
        /// <returns>
        /// The "DataSetFormPopup" html.
        /// </returns>
        public MvcHtmlString CreateCommonPopup(
            HtmlHelper htmlHelper,
            string additionalPartialAddFormViewPath,
            string additionalPartialEditFormViewPath,
            bool showDefaultSubmitButton)
        {
            return null;
        }
        #endregion

        #endregion
    }
}