﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="ExportController.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.ExportButton
{
    #region usings
    using System;
    using System.Collections.Generic;
    using System.Web.Mvc;

    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Helper.Export;
    using Fruitmonitoring.Infrastructure.ActionAttributes;

    #endregion

    /// <summary>
    /// The export controller.
    /// </summary>
    public class ExportController : BaseController
    {
        #region Public Methods and Operators
        /// <summary>
        /// Generates all items needed for the export checkboxlist.
        /// </summary>
        /// <param name="columnFieldsAndNames">
        /// All column names and column texts in one string. columnNamesArray are separated by "[#+#]".
        /// </param>
        /// <param name="controller">
        /// Controller whoch holds the action.
        /// </param>
        /// <param name="action">
        /// Action for the export.
        /// </param>
        /// <param name="gridViewId">
        /// </param>
        /// <param name="enableFilterOption">
        /// </param>
        /// <param name="enableSortingOption">
        /// </param>
        /// <param name="jsVarsExportParams">
        /// Additional parameters that will be added to export.
        /// Provide names of JavaScript variables that will be read to runtime.
        /// </param>
        /// <returns>
        /// Partial view, which holds the checkboxlist.
        /// </returns>
        [HttpPost]
        [AjaxOrChildActionOnly]
        public ActionResult LoadCheckboxList(
            string columnFieldsAndNames,
            string controller,
            string action,
            string gridViewId,
            bool enableFilterOption = true,
            bool enableSortingOption = true,
            string jsVarsExportParams = null)
        {
            return null;
        }
        #endregion
    }
}