﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="SamplerUserManagementExtension.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.SamplerUserManagement
{
    #region usings
    using System.Web.Mvc;
    using System.Web.Mvc.Html;

    #endregion

    /// <summary>
    /// Provides functions to build the html sampler Management popup
    /// the button opens a new popup to where you can choose a Product.
    /// </summary>
    public class SamplerUserManagementExtension
    {
        #region Public Methods and Operators

        #region methods
        /// <summary>
        /// Builds the "SamplerUserManagement" popup.
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        /// <param name="modelPropertyName">
        /// Name of the model property, that should bind to the SamplerUserManagement.
        /// </param>
        /// <param name="modelPropertyValue">
        /// Value of the model proterty.
        /// </param>
        /// <returns>
        /// The "SamelerUserManagement" popup html.
        /// </returns>
        public MvcHtmlString CreateSamplerUserManagement(HtmlHelper htmlHelper, string modelPropertyName, string modelPropertyValue)
        {
            return null;
        }
        #endregion

        #endregion
    }
}