﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="SamplerUserSearchModel.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.SamplerUserSearch
{
    /// <summary>
    /// Use this model if you search for a sampler user via the search extension
    /// use original usp_sampleruser property names and append an "_Search" to get it work.
    /// </summary>
    public class SamplerUserSearchModel
    {
        #region Properties
        /// <summary>
        /// Gets or sets the company_ joined_ company name_ search.
        /// </summary>
        public string Company_Joined_CompanyName_Search { get; set; }

        /// <summary>
        /// Gets or sets the first name_ search.
        /// </summary>
        public string FirstName_Search { get; set; }

        /// <summary>
        /// Gets or sets the last name_ search.
        /// </summary>
        public string LastName_Search { get; set; }
        #endregion
    }
}