﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="TranslationCreatorPopUpExtension.cs.cs" company="convivo GmbH">
//    Copyright © 2013 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.TranslationCreatorPopUp
{
    #region usings
    using System;
    using System.Web.Mvc;
    using System.Web.Mvc.Html;

    #endregion

    /// <summary>
    /// Provides functions to build the html "TranslationCreatorPopUp"
    /// with this extension you can add translations for an textfield in an extra popup.
    /// </summary>
    public class TranslationCreatorPopUpExtension
    {
        #region Public Methods and Operators

        #region methods
        /// <summary>
        /// Builds the "TranslationCreatorPopUp".
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        /// <param name="tableName">
        /// Db table name.
        /// </param>
        /// <param name="columnName">
        /// Column name of the table.
        /// </param>
        /// <param name="rowId">
        /// CurrentRow retialerCompanyId from the dataset (the unique retialerCompanyId).
        /// </param>
        /// <param name="headerText">
        /// Headline test.
        /// </param>
        /// <param name="useBigTextBox">
        /// If true, the component renders a textarea instead of and textbox.
        /// </param>
        /// <returns>
        /// The "TranslationCreatorPopUp" html.
        /// </returns>
        public MvcHtmlString CreateTranslationCreatorPopUp(
            HtmlHelper htmlHelper,
            string tableName,
            string columnName,
            Guid? rowId,
            string headerText,
            bool useBigTextBox)
        {
            return null;
        }
        #endregion

        #endregion
    }
}