﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="CaptchaExtensionHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility.ExtensionHelper
{
    #region usings
    using DevExpress.Web.Mvc;

    #endregion

    /// <summary>
    /// The CaptchaExtensionHelper interface.
    /// </summary>
    public interface ICaptchaExtensionHelper
    {
        #region Public Methods and Operators
        /// <summary>
        /// The get is valid.
        /// </summary>
        /// <param name="CaptchaName">
        /// The captcha name.
        /// </param>
        /// <returns>
        /// The <see cref="bool"/>.
        /// </returns>
        bool GetIsValid(string CaptchaName);
        #endregion
    }

    /// <summary>
    /// The captcha extension helper.
    /// </summary>
    public class CaptchaExtensionHelper : ICaptchaExtensionHelper
    {
        #region ICaptchaExtensionHelper Members

        #region Public Methods and Operators
        /// <summary>
        /// The get is valid.
        /// </summary>
        /// <param name="CaptchaName">
        /// The captcha name.
        /// </param>
        /// <returns>
        /// The <see cref="bool"/>.
        /// </returns>
        public bool GetIsValid(string CaptchaName)
        {
            return false;
        }
        #endregion

        #endregion
    }
}