﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="PopupHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Utility
{
    #region usings
    using System.Web.UI.WebControls;

    using DevExpress.Web;
    using DevExpress.Web.Mvc;

    #endregion

    /// <summary>
    /// The popup helper.
    /// </summary>
    public class PopupHelper
    {
        #region Static Fields

        // auto generated devexpress edit popup suffix
        /// <summary>
        /// The gridviewpopupsuffix.
        /// </summary>
        public static readonly string GRIDVIEWPOPUPSUFFIX = "_DXPEForm";

        /// <summary>
        /// The minpopupwidth.
        /// </summary>
        public static readonly int MINPOPUPWIDTH = 830;

        /// <summary>
        /// The popupcontentcontainerclassname.
        /// </summary>
        public static readonly string POPUPCONTENTCONTAINERCLASSNAME = "popupContentContainer";

        /// <summary>
        /// The popupcontentcontainerwrappernamelayout.
        /// </summary>
        public static readonly string POPUPCONTENTCONTAINERWRAPPERLAYOUTNAME = "popupContentContainerWrapperLayout";

        /// <summary>
        /// The popupcontentcontainerwrappername.
        /// </summary>
        public static readonly string POPUPCONTENTCONTAINERWRAPPERNAME = "popupContentContainerWrapper";
        #endregion

        #region Public Methods and Operators
        /// <summary>
        /// The get popup resize js function.
        /// </summary>
        /// <param name="popupContentContainer">
        /// The popup content container.
        /// </param>
        /// <param name="popupName">
        /// The popup name.
        /// </param>
        /// <returns>
        /// The <see cref="string"/>.
        /// </returns>
        public static string GetPopupResizeJSFunction(string popupContentContainer, string popupName)
        {
            return null;
        }

        /// <summary>
        /// Provide default  settings for popups.
        /// </summary>
        /// <param name="settings">
        /// Reference to the current popup settings object.
        /// </param>
        /// <param name="popupContentContainer">
        /// Id or class of the html element, that hold the popup content.
        /// </param>
        public static void LoadDefaultPopupSettings(ref PopupControlSettings settings, string popupContentContainer)
        {
        }

        /// <summary>
        /// If id or class is not specified for the contentContainer, handle the html element as an id.
        /// </summary>
        /// <param name="contentContainer">
        /// Content container name. cannot be empty!.
        /// </param>
        /// <returns>
        /// Name with "#" or "." at the beginning.
        /// </returns>
        public static string ValidatePopupContentContainer(string contentContainer)
        {
            return null;
        }
        #endregion
    }
}