﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="MainLayoutHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2016 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.View
{
    #region usings
    using System.Security.Principal;
    using System.Web;

    #endregion

    /// <summary>
    /// This class provides some functions for showing root layout containers.
    /// </summary>
    public class MainLayoutHelper
    {
        #region Public Methods and Operators
        /// <summary>
        /// Checks if sidbars should be rendered.
        /// </summary>
        /// <param name="request">The current request.</param>
        /// <param name="user">The current user.</param>
        /// <returns>True if user is loged in or the register site is loaded.</returns>
        public static bool ShowSideBars(HttpRequestBase request, IPrincipal user)
        {
            return false;
        }

        /// <summary>
        /// Is the user loged in?
        /// </summary>
        /// <param name="user">The user.</param>
        /// <returns>True if loged in, otherwise false.</returns>
        private static bool IsUserLogedIn(IPrincipal user)
        {
            return false;
        }

        /// <summary>
        /// Shows the sidebars on specific pages.
        /// </summary>
        /// <param name="request">The current request.</param>
        /// <returns>True if sidebar should be shown on the page, otherwise false.</returns>
        private static bool ShowSideBarsOnSpecificPages(HttpRequestBase request)
        {
            return false;
        }

        #endregion
    }
}