﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="InvestigationOrderController.ModelHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Controllers.Common
{
    #region usings
    using Fruitmonitoring.Controllers.General;
    using Fruitmonitoring.Controllers.Interfaces;
    using Fruitmonitoring.Infrastructure.Security;
    using Fruitmonitoring.Models;

    #endregion

    /// <summary>
    /// The investigation order controller.
    /// </summary>
    [CustomAuthorize(AppRole = FruitmonitoringRoles.SuperAdmin | FruitmonitoringRoles.Orderer)]
    public partial class InvestigationOrderController : BaseInvestigationOrderController, IDataManipulator<USP_Sample_Investigation_Sel_Result>
    {
        #region private methods for model manipulation
        /// <summary>
        /// Set this information to the "add"/"edit" model to get the modelstate valid.
        /// </summary>
        /// <param name="model">
        /// Current model.
        /// </param>
        /// <returns>
        /// Current model with additional information.
        /// </returns>
        private USP_Sample_Investigation_Sel_Result cleanUpModelForValidation(USP_Sample_Investigation_Sel_Result model)
        {
            return null;
        }

        /// <summary>
        /// Remove some model values, that should not be saved to db.
        /// </summary>
        /// <param name="model">
        /// </param>
        /// <returns>
        /// The <see cref="USP_Sample_Investigation_Sel_Result"/>.
        /// </returns>
        private USP_Sample_Investigation_Sel_Result cleanUpModelForSP(USP_Sample_Investigation_Sel_Result model)
        {
            return null;
        }

        /// <summary>
        /// Remove some needless default values for the edit form.
        /// </summary>
        /// <param name="model">
        /// Sample model.
        /// </param>
        /// <returns>
        /// The <see cref="USP_Sample_Investigation_Sel_Result"/>.
        /// </returns>
        private USP_Sample_Investigation_Sel_Result cleanUpModelForForm(USP_Sample_Investigation_Sel_Result model)
        {
            return null;
        }

        /// <summary>
        /// Set this information to the "edit" model to get the modelstate valid.
        /// </summary>
        /// <param name="model">
        /// Current model.
        /// </param>
        /// <returns>
        /// Current model with additional information.
        /// </returns>
        private USP_Sample_Investigation_Sel_Result cleanUpFinalEditModel(USP_Sample_Investigation_Sel_Result model)
        {
            return null;
        }

        /// <summary>
        /// Set this information to the "edit" model to get the modelstate valid.
        /// </summary>
        /// <param name="model">
        /// Current model.
        /// </param>
        /// <returns>
        /// Current model with additional information.
        /// </returns>
        private USP_Sample_Investigation_Sel_Result cleanUpFinalEditModelForSP(USP_Sample_Investigation_Sel_Result model)
        {
            return null;
        }
        #endregion
    }
}