﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="AdvancedSearchExtension.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.AdvancedSearch
{
    #region usings
    using System;
    using System.Web.Mvc;
    using System.Web.Mvc.Html;

    #endregion

    /// <summary>
    /// Provides functions to build the html "AdvancedSearch".
    /// </summary>
    public class AdvancedSearchExtension
    {
        #region Public Methods and Operators

        #region methods
        /// <summary>
        /// Builds the "AdvancedSearch"
        /// this works only with gridview custom bindings.
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        /// <param name="handlerClassType">
        /// Type of class that handles the users search input.
        /// </param>
        /// <param name="gridViewId">
        /// Gridview that show the search results.
        /// </param>
        /// <returns>
        /// The "SampleAdvancedSearch" html.
        /// </returns>
        public MvcHtmlString CreateAdvancedSearch(HtmlHelper htmlHelper, Type handlerClassType, string gridViewId)
        {
            return null;
        }
        #endregion

        #endregion
    }
}