﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="CompanySearchModel.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.CompanySearch
{
    #region usings
    using System;

    #endregion

    /// <summary>
    /// Use this model if you search for a company via the search extension
    /// user original usp_company property names and append an "_Search" to get it work.
    /// </summary>
    public class CompanySearchModel
    {
        #region Properties
        /// <summary>
        /// Gets or sets the city_ search.
        /// </summary>
        public string City_Search { get; set; }

        /// <summary>
        /// Gets or sets the company name_ search.
        /// </summary>
        public string CompanyName_Search { get; set; }

        /// <summary>
        /// Gets or sets the country_id_ search.
        /// </summary>
        public Guid? Country_id_Search { get; set; }

        /// <summary>
        /// Gets or sets the gl n_ search.
        /// </summary>
        public decimal? GLN_Search { get; set; }

        /// <summary>
        /// Gets or sets the street_ search.
        /// </summary>
        public string Street_Search { get; set; }

        /// <summary>
        /// Gets or sets the wa wi_ search.
        /// </summary>
        public string WaWi_Search { get; set; }

        /// <summary>
        /// Gets or sets the zip code_ search.
        /// </summary>
        public string ZipCode_Search { get; set; }
        #endregion
    }
}