﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="CustomizationWindowButtonExtension.cs.cs" company="convivo GmbH">
//    Copyright © 2013 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.CustomizationWindowButton
{
    #region usings
    using System.Web.Mvc;
    using System.Web.Mvc.Html;

    #endregion

    /// <summary>
    /// Provides functions to build the html "customization window" button
    /// the button displays the customization window for the gridview.
    /// </summary>
    public class CustomizationWindowButtonExtension
    {
        #region Public Methods and Operators

        #region methods
        /// <summary>
        /// Builds the "CustomizationWindowButton" button.
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        /// <param name="gridViewId">
        /// Active gridview retialerCompanyId.
        /// </param>
        /// <returns>
        /// The "Customization Window" button html.
        /// </returns>
        public MvcHtmlString CreateCustomizationWindowButton(HtmlHelper htmlHelper, string gridViewId)
        {
            return null;
        }
        #endregion

        #endregion
    }
}