﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="DocumentFileUploaderExtension.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.DocumentFileUploader
{
    #region usings
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web.Mvc;
    using System.Web.Mvc.Html;

    using Fruitmonitoring.Helper.Utility;
    using Fruitmonitoring.Models;

    #endregion

    /// <summary>
    /// Provides functions to build the html document adder.
    /// </summary>
    public class DocumentFileUploaderExtension
    {
        #region Public Methods and Operators

        #region methods
        /// <summary>
        /// Builds the "DocumentFileUploader".
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        /// <param name="sampleIdInput">
        /// Sample id.
        /// </param>
        /// <param name="companyId">
        /// Current users company id. if null, show no documents.
        /// </param>
        /// <param name="showDeleteButton">
        /// Show delete button in gridview?.
        /// </param>
        /// <param name="autoResizeGridview">
        /// The auto Resize Gridview.
        /// </param>
        /// <returns>
        /// The "DocumentFileUploader" html.
        /// </returns>
        public MvcHtmlString CreateDocumentFileUploader(
            HtmlHelper htmlHelper,
            Guid? sampleIdInput,
            Guid? companyId,
            bool showDeleteButton,
            bool autoResizeGridview = false)
        {
            return null;
        }
        #endregion

        #endregion
    }
}