﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="SamplerUserSearchExtension.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.HtmlExtensions.SamplerUserSearch
{
    #region usings
    using System.Web.Mvc;
    using System.Web.Mvc.Html;

    #endregion

    /// <summary>
    /// Provides functions to build the html sampler user search popup
    /// the button opens a new popup to where you can search a sampler user.
    /// </summary>
    public class SamplerUserSearchExtension
    {
        #region Public Methods and Operators

        #region methods
        /// <summary>
        /// Builds the "SamplerUserSearch" popup.
        /// </summary>
        /// <param name="htmlHelper">
        /// </param>
        /// <param name="modelPropertyName">
        /// Name of the model property, that should bind to the sampler user selection.
        /// </param>
        /// <param name="modelPropertyValue">
        /// Value of the model proterty.
        /// </param>
        /// <returns>
        /// The "sampler user search" button + popup html.
        /// </returns>
        public MvcHtmlString CreateSamplerUserSearch(HtmlHelper htmlHelper, string modelPropertyName, string modelPropertyValue)
        {
            return null;
        }
        #endregion

        #endregion
    }
}