﻿#region Copyright © convivo GmbH
// ------------------------------------------------------------------------------------------------------------------------
// <copyright file="ICompanyValidationHelper.cs.cs" company="convivo GmbH">
//    Copyright © 2014 convivo GmbH
// </copyright>
// <creator name="convivo GmbH"/>
// ------------------------------------------------------------------------------------------------------------------------
#endregion

namespace Fruitmonitoring.Helper.Validation.Interfaces
{
    #region usings
    using System.Collections.Generic;

    using Fruitmonitoring.Models;

    #endregion

    /// <summary>
    /// The CompanyValidationHelper interface.
    /// </summary>
    internal interface ICompanyValidationHelper
    {
        #region Public Methods and Operators
        /// <summary>
        /// The set company type ids to model.
        /// </summary>
        /// <param name="model">
        /// The model.
        /// </param>
        /// <param name="companyTypeIds">
        /// The company type ids.
        /// </param>
        void SetCompanyTypeIdsToModel(USP_Company_Sel_Result model, IEnumerable<string> companyTypeIds);
        #endregion
    }
}